import 'dart:convert';
/// state : "Incoming"
/// number : "18020143310"
/// name : "gong"
/// region : "江苏省 南京市"

CallStatusChangeModel callStatusChangeModelFromJson(String str) => CallStatusChangeModel.fromJson(json.decode(str));
String callStatusChangeModelToJson(CallStatusChangeModel data) => json.encode(data.toJson());
class CallStatusChangeModel {
  CallStatusChangeModel({
      String? state, 
      String? number, 
      String? name, 
      String? region,}){
    _state = state;
    _number = number;
    _name = name;
    _region = region;
}

  CallStatusChangeModel.fromJson(dynamic json) {
    _state = json['state'];
    _number = json['number'];
    _name = json['name'];
    _region = json['region'];
  }
  String? _state;
  String? _number;
  String? _name;
  String? _region;
CallStatusChangeModel copyWith({  String? state,
  String? number,
  String? name,
  String? region,
}) => CallStatusChangeModel(  state: state ?? _state,
  number: number ?? _number,
  name: name ?? _name,
  region: region ?? _region,
);
  String? get state => _state;
  String? get number => _number;
  String? get name => _name;
  String? get region => _region;

  Map<String, dynamic> toJson() {
    final map = <String, dynamic>{};
    map['state'] = _state;
    map['number'] = _number;
    map['name'] = _name;
    map['region'] = _region;
    return map;
  }

}